/* dialog.h
 *
 * Pieter Eendebak <pte@ddsw.nl>
 *
 */

#ifndef DIALOG_H
#define DIALOG_H

#include "includes.h"
#include "row.h"

class Misc : public QDialog
{

        Q_OBJECT

public:
 	Misc ( int, int, QWidget *, const char *name);
        ~Misc();

        // widgets to get the data...
        QGroupBox *box;

	QCheckBox *sound, *pixmaps;
        QLabel *label;

private:

        QPushButton *ok, *cancel;
};

class NoCode : public QDialog
{

	Q_OBJECT

public:
	NoCode ( QWidget *, const char *name , int *, int,
		bool pixmaps, QPixmap **pins, const char * _base );
	~NoCode();

private:
	QLabel *tekst;
	Knop **knoppen;
	QPushButton *ok;
	int aantal;
};

class CustomLevel : public QDialog
{

	Q_OBJECT

public:
	CustomLevel ( QWidget *, const char *name);
	~CustomLevel();

	// Note : these two must be public to get
	// the data (could this be done with 'friend' ?)
	int rows, level;

private slots:
	void rowchange(int);
	void levelchange(int);

private:
	// widgets om data op te halen...
	QGroupBox *box;

	QLabel *rowlabel, *levellabel;
	QScrollBar *rowscrol, *levelscrol;
	QLabel *rowcounter, *levelcounter;
	
	QPushButton *ok, *cancel;
};


class CreateColors : public QDialog
{

	Q_OBJECT

public:
	CreateColors ( QWidget *parent, const char * name);
	~CreateColors();
};


#endif		
